Package org.mariadb.jdbc

## Enum TransactionIsolation

- java.lang.Object
- - java.lang.Enum<TransactionIsolation>
  - - org.mariadb.jdbc.TransactionIsolation

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionIsolation>`

    public enum TransactionIsolation
    extends Enum<TransactionIsolation>

Transaction isolation enumeration

### Enum Constant Summary

Enum Constants
`READ_COMMITTED` dirty reads are prevented; non-repeatable reads and phantom reads can occur.
`READ_UNCOMMITTED` dirty reads, non-repeatable reads and phantom reads can occur.
`REPEATABLE_READ` dirty reads and non-repeatable reads are prevented; phantom reads can occur.
`SERIALIZABLE` dirty reads, non-repeatable reads and phantom reads are prevented.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TransactionIsolation` `from​(String value)` Get TransactionIsolation from value
`int` `getLevel()` Get transaction isolation level
`String` `getValue()` Get transaction isolation command
`static TransactionIsolation` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TransactionIsolation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REPEATABLE_READ

    public static final TransactionIsolation REPEATABLE_READ

dirty reads and non-repeatable reads are prevented; phantom reads can occur. This level prohibits a transaction from reading a row with uncommitted changes in it, and it also prohibits the situation where one transaction reads a row, a second transaction alters the row, and the first transaction rereads the row, getting different values the second time (a "non-repeatable read").

#### READ_COMMITTED

    public static final TransactionIsolation READ_COMMITTED

dirty reads are prevented; non-repeatable reads and phantom reads can occur. This level only prohibits a transaction from reading a row with uncommitted changes in it.

#### READ_UNCOMMITTED

    public static final TransactionIsolation READ_UNCOMMITTED

dirty reads, non-repeatable reads and phantom reads can occur. This level allows a row changed by one transaction to be read by another transaction before any changes in that row have been committed (a "dirty read"). If any of the changes are rolled back, the second transaction will have retrieved an invalid row.

#### SERIALIZABLE

    public static final TransactionIsolation SERIALIZABLE

dirty reads, non-repeatable reads and phantom reads are prevented. This level includes the prohibitions in TRANSACTION_REPEATABLE_READ and further prohibits the situation where one transaction reads all rows that satisfy a WHERE condition, a second transaction inserts a row that satisfies that WHERE condition, and the first transaction rereads for the same condition, retrieving the additional "phantom" row in the second read.

### Method Detail

#### values

    public static TransactionIsolation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransactionIsolation c : TransactionIsolation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransactionIsolation valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### from

    public static TransactionIsolation from​(String value)

Get TransactionIsolation from value

Parameters:
  `value` - value
Returns:
  transaction isolation

#### getValue

    public String getValue()

Get transaction isolation command

Returns:
  transaction isolation command

#### getLevel

    public int getLevel()

Get transaction isolation level

Returns:
  transaction isolation level